Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2872 closed enhancement (fixed)

Get rid of CONFIGURE_MAXIMUM_PTYS

Reported by: Sebastian Huber Owned by:
Priority: normal Milestone: 6.1
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Change the Termios PTY driver for Telnet to use the new Termios device API. This why the CONFIGURE_MAXIMUM_PTYS gets superfluous.

Change History (4)

comment:1 Changed on 01/19/17 at 22:45:33 by Chris Johns

Should the pty support the separated to allow reuse?

I am porting tinyssh can could use it.

comment:2 Changed on 01/20/17 at 09:21:40 by Sebastian Huber

The current PTY driver is a collection of hacks. It would be certainly good to overhaul it and make it generally useful.

comment:3 Changed on 11/09/17 at 06:26:42 by Sebastian Huber

Milestone: 5.06.1

Milestone renamed

comment:4 Changed on 12/17/21 at 16:57:43 by Joel Sherrill

Resolution: fixed
Status: newclosed

This has been implemented.

Note: See TracTickets for help on using tickets.